DirectoryIterator::getGroup
DirectoryIterator::getMTime
DirectoryIterator
PHP Manual

# DirectoryIterator::getInode

Get inode for the current DirectoryIterator item

### Description

public int DirectoryIterator::getInode ( void )

Get the inode number for the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the inode number for the file.

### Examples

Example #1 DirectoryIterator::getInode example

This example displays the inode number for the directory containing the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
echo $iterator->getInode();
?>`

### See Also

- DirectoryIterator::getGroup
- DirectoryIterator::getOwner
- DirectoryIterator::getPerms
- fileinode